
package com.tmerclub.cloud.seckill.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * 秒杀商品信息VO
 *
 * @author lhd
 * @date 2021-03-30 14:53:09
 */
public class SeckillSpuVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "秒杀活动id")
    private Long seckillId;

    @Schema(description = "spu id")
    private Long spuId;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "店铺名称")
    private String shopName;

    @Schema(description = "分类名称")
    private String categoryId;

    @Schema(description = "分类名称")
    private String categoryName;

    @Schema(description = "商品介绍主图")
    private String mainImgUrl;

    @Schema(description = "spu名称")
    private String name;

    @Schema(description = "售价，整数方式保存")
    private Long priceFee;

    @Schema(description = "限购数量")
    private Long maxNum;

    @Schema(description = "状态")
    private Integer status;

    @Schema(description = "秒杀活动最低价")
    private Long seckillPrice;

    @Schema(description = "立减xx元")
    private Long reducePrice;

    @Schema(description = "秒杀活动剩余总库存")
    private Integer seckillTotalStocks;

    @Schema(description = "秒杀活动原始库存")
    private Integer seckillOriginStocks;

    @Schema(description = "秒杀活动关联sku信息")
    private List<SeckillSkuVO> seckillSkuList;

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Long getMaxNum() {
        return maxNum;
    }

    public void setMaxNum(Long maxNum) {
        this.maxNum = maxNum;
    }

    public String getCategoryId() {
        return categoryId;
    }

    public void setCategoryId(String categoryId) {
        this.categoryId = categoryId;
    }

    public String getCategoryName() {
        return categoryName;
    }

    public void setCategoryName(String categoryName) {
        this.categoryName = categoryName;
    }

    public Long getReducePrice() {
        return reducePrice;
    }

    public void setReducePrice(Long reducePrice) {
        this.reducePrice = reducePrice;
    }

    public Long getSeckillId() {
        return seckillId;
    }

    public void setSeckillId(Long seckillId) {
        this.seckillId = seckillId;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public String getShopName() {
        return shopName;
    }

    public void setShopName(String shopName) {
        this.shopName = shopName;
    }

    public Long getSpuId() {
        return spuId;
    }

    public void setSpuId(Long spuId) {
        this.spuId = spuId;
    }

    public String getMainImgUrl() {
        return mainImgUrl;
    }

    public void setMainImgUrl(String mainImgUrl) {
        this.mainImgUrl = mainImgUrl;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Long getPriceFee() {
        return priceFee;
    }

    public void setPriceFee(Long priceFee) {
        this.priceFee = priceFee;
    }

    public Long getSeckillPrice() {
        return seckillPrice;
    }

    public void setSeckillPrice(Long seckillPrice) {
        this.seckillPrice = seckillPrice;
    }

    public Integer getSeckillTotalStocks() {
        return seckillTotalStocks;
    }

    public void setSeckillTotalStocks(Integer seckillTotalStocks) {
        this.seckillTotalStocks = seckillTotalStocks;
    }

    public Integer getSeckillOriginStocks() {
        return seckillOriginStocks;
    }

    public void setSeckillOriginStocks(Integer seckillOriginStocks) {
        this.seckillOriginStocks = seckillOriginStocks;
    }

    public List<SeckillSkuVO> getSeckillSkuList() {
        return seckillSkuList;
    }

    public void setSeckillSkuList(List<SeckillSkuVO> seckillSkuList) {
        this.seckillSkuList = seckillSkuList;
    }

    @Override
    public String toString() {
        return "SeckillSpuVO{" +
                "seckillId=" + seckillId +
                ", spuId=" + spuId +
                ", shopId=" + shopId +
                ", shopName='" + shopName + '\'' +
                ", categoryId='" + categoryId + '\'' +
                ", categoryName='" + categoryName + '\'' +
                ", mainImgUrl='" + mainImgUrl + '\'' +
                ", name='" + name + '\'' +
                ", priceFee=" + priceFee +
                ", maxNum=" + maxNum +
                ", status=" + status +
                ", seckillPrice=" + seckillPrice +
                ", reducePrice=" + reducePrice +
                ", seckillTotalStocks=" + seckillTotalStocks +
                ", seckillOriginStocks=" + seckillOriginStocks +
                ", seckillSkuList=" + seckillSkuList +
                '}';
    }
}
